/// <reference types="react" />
import { InputFieldProps } from './InputField';
import { Story } from '@storybook/react';
declare const _default: {
    title: string;
    component: ({ error, disabled, id, inputFieldId, label, maxLength, message, onBlur, onChange, onClick, onEnter, placeholder, type, value, required }: InputFieldProps) => JSX.Element;
    argTypes: {
        onChange: {
            action: string;
        };
    };
};
export default _default;
export declare const Basic5Default: Story<InputFieldProps>;
export declare const Basic5Disabled: Story<InputFieldProps>;
export declare const Basic5Error: Story<InputFieldProps>;
export declare const Basic1Default: Story<InputFieldProps>;
export declare const Basic1Disabled: Story<InputFieldProps>;
export declare const Basic1Error: Story<InputFieldProps>;
